﻿using EVCB_OCPP.DBAPI.Services.ServerMessageServices;
using Quartz;

namespace EVCB_OCPP.DBAPI.Jobs;

[DisallowConcurrentExecution]
public class ServerMessageJob : IJob
{
    public ServerMessageJob(
        IServerMessageService serverMessageService,
        ILogger<ServerMessageJob> logger)
    {
        this.serverMessageService = serverMessageService;
        this.logger = logger;
    }
    private readonly IServerMessageService serverMessageService;
    private readonly ILogger<ServerMessageJob> logger;

    public async Task Execute(IJobExecutionContext context)
    {
        try
        {
            await ExecuteTrigger();
        }
        catch (Exception ex)
        {
            logger.LogError("ServerMessageTrigger  Ex:{0}", ex.ToString());
        }
    }

    private Task ExecuteTrigger()
    {
        return serverMessageService.SaveCompletedMessageToDb();
    }
}
